<!-- <h1>{{nameForm}} Héroe <small>{{heroe.superhero}}</small> </h1> -->
<h1>
    {{ (heroe.id)? 'Editar' : 'Nuevo' }}
     Héroe <small>{{heroe.superhero}}</small> </h1>

<div fxLayout="row" fxLayoutGap="1%" fxLayout.xs="column">

    <div fxFlex="50" fxLayout="column">

        <div fxLayout="row"  
             fxLayout.xs="column"
             fxLayout.lt-md="column"
             fxLayoutGap="2%">            
            <mat-form-field fxFlex="100">
                <mat-label>Super Héroe</mat-label>
                <input 
                    matInput 
                    type="text" 
                    [(ngModel)]="heroe.superhero"
                    required>
            </mat-form-field>
            <mat-form-field fxFlex="100">
                <mat-label>Alter Ego</mat-label>
                <input 
                    matInput 
                    type="text" 
                    [(ngModel)]="heroe.alter_ego"
                    required>
            </mat-form-field>
        </div>
            
        <mat-form-field>
            <mat-label>Primera Aparición</mat-label>
            <input 
                matInput 
                type="text" 
                [(ngModel)]="heroe.first_appearance"
                required>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Personajes</mat-label>
            <input 
                matInput 
                type="text" 
                [(ngModel)]="heroe.characters"
                required>
        </mat-form-field>        

        <mat-form-field>
            <mat-label>Creador</mat-label>
            <mat-select [(ngModel)]="heroe.publisher" name="create" required>
                <mat-option *ngFor="let create of publishers" [value]="create.id">
                   {{create.desc}}
                </mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Foto URL</mat-label>
            <input 
                matInput 
                type="url" 
                [(ngModel)]="heroe.alt_img"
                (ngModelChange)="urlNgModelChange( $event )"
                required>
        </mat-form-field>

        <br>

        <!-- <div fxLayout fxLayoutGap="2%"> -->
        <div fxLayoutGap="2%">
            <button mat-raised-button color="primary" (click)="guardar()">
                <mat-icon>{{ (heroe.id)? 'edit' : 'save' }}</mat-icon>
                {{ (heroe.id)? 'Actualizar' : 'Guardar' }}
            </button>
            <span class="spacer"></span>
            <button *ngIf="heroe.id" mat-raised-button color="primary" (click)="eliminar()">
                <mat-icon>delete</mat-icon>
                Eliminar
            </button>
        </div>

    </div>

    <div>
        <img [src]="heroe.alt_img! | imagen: heroe.id!">
    </div>
</div>